'
' here's a demo for the P2 "Control" accessory board
' pressing any button will light up all 4 LEDs on the board
'
' as configured assumes the control board is plugged in to
' pin group 8; change the "basepin" constant if not
'

const basepin = 8   ' set to base pin for control board

' create an object for the p2 control board
dim ctrl as class using "p2_ctrl_board.bas"

' create some integer variables
dim as integer i, x

ctrl.start(basepin)

do
  x = 0 ' clear all buttons
  ' count how many buttons held down
  for i = 0 to 3
    x = x + ctrl.getbutton(i)
  next i
  if x <> 0 then
    SetAllLEDs
  else
    ClearAllLEDs
  end if
loop

' subroutine: set all LEDs
sub SetAllLEDs()
  for i = 0 to 3
    ctrl.setled(i, 1)
  next i
end sub

' subroutine: set all LEDs
sub ClearAllLEDs()
  for i = 0 to 3
    ctrl.setled(i, 0)
  next i
end sub
